View Issue Details

IDProjectCategoryView StatusLast Update
0004069SymmetricDSImprovementpublic2019-08-23 12:46
ReporterpmarzulloAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.4 
Target Version3.10.4Fixed in Version3.10.4 
Summary0004069: SQL Server tests failing because of out of date tests
DescriptionTests need to be modified, so that it is testing SQL Server correctly.

SQL Server 8 does not have time portion in Date column type and has 7 digits in fractional seconds of Datetime2 column type
JdbcDataLoaderServiceTest.test05SkippingResentBatch()
JdbcDataLoaderServiceTest.test06ErrorWhileSkip()
JdbcDataLoaderServiceTest.test09ErrorThenSuccessBatch()
JdbcDataLoaderServiceTest.test10MultipleBatch()
DatabaseWriterTest.testColumnNotExisting()
DatabaseWriterTest.testTableNotExisting()
DatabaseWriterTest.testDeleteExisting()
DatabaseWriterTest.testUpdateNotExisting()
DatabaseWriterTest.testDecimalLocale()
DatabaseWriterTest.testLargeDouble()
DatabaseWriterTest.testInsertExisting()
DatabaseWriterTest.testUpdateDetectOldDataWithNullManual()
DatabaseWriterTest.testUpdateDetectOldDataManual()
DatabaseWriterTest.testUpdateDetectVersionIgnoreBatch()
DatabaseWriterTest.testUpdateDetectVersionNewWins()
DatabaseWriterTest.testInsertDetectTimestampNewerWins()
DatabaseWriterTest.testUpdateDetectTimestampNewerWins()

SQL Server rounds fractional seconds to 3 milliseconds (really?????)
DbExportImportTest.exportThenImportCsvWithBackslashes()
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 f47bb27c

2019-08-16 11:00:22

Philip Marzullo

Details Diff
0004069: SQL Server tests failing because of out of date tests
0004069
mod - symmetric-client/src/test/resources/test-dbimport-1-backslashes.sql Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataLoaderServiceTest.java Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterTest.java Diff File

Issue History

Date Modified Username Field Change
2019-08-16 10:59 pmarzullo New Issue
2019-08-16 10:59 pmarzullo Status new => assigned
2019-08-16 10:59 pmarzullo Assigned To => pmarzullo
2019-08-16 11:00 Changeset attached => SymmetricDS 3.10 f47bb27c
2019-08-16 11:01 pmarzullo Status assigned => resolved
2019-08-16 11:01 pmarzullo Resolution open => fixed
2019-08-16 11:01 pmarzullo Fixed in Version => 3.10.5
2019-08-21 08:00 elong Fixed in Version 3.10.5 => 3.10.4
2019-08-21 08:00 elong Target Version 3.10.5 => 3.10.4
2019-08-23 12:46 admin Status resolved => closed